Page MenuHome

Crash when adding hook to curve with vertex parenting
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 1050 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.02

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e

Short description of error
If you add object as hook to curve vertex when it's vertex parented to this object, you get a crash.

Exact steps for others to reproduce the error
Add curve. Add mesh. Select curve, then mesh, vertex parent curve to mesh.
Select mesh, than curve, select vertex of curve and add object as hook.

Details

Type
Bug

Event Timeline

In Blender 2.80 stable can confirm bug/error
Same Proposed Steps:

  • Add Curve Object (e.g. Bezier Curve)
  • Add Mesh Object (e.g. Cube)
  • Select Mesh then Curve (important step) (I think @Alex (Fluffyrescent) forget this step)
  • Ctrl + P Parent -> Vertex
  • Enter Edit Mode & Select a vertex of Curve
  • Apply Ctrl + H Hooks -> Hook to Selected Object

Crash Blender

Further Checking...

Hum! Blender 2.81 (sub 3) 2019-08-28 03:44 rBf88022b96f3a seems fine for me!
I think, It's already resolved in latest blender version
@Alex (Fluffyrescent) You can confirm in latest daily build! https://builder.blender.org/download/

Philipp Oeser (lichtwerk) closed this task as Resolved.Aug 30 2019, 1:07 PM
Philipp Oeser (lichtwerk) claimed this task.

It's a weird setup (in that it results in a dependency cycle):

Dependency cycle detected:
  OBBezierCurve/Geometry Component/GEOMETRY_EVAL() depends on
  OBCube/Transform Component/TRANSFORM_FINAL() via 'Hook Modifier'
  OBCube/Transform Component/TRANSFORM_SIMULATION_INIT() via 'Simulation -> Final Transform'
  OBCube/Transform Component/TRANSFORM_EVAL() via 'Transform Eval -> Simulation Init'
  OBCube/Transform Component/TRANSFORM_PARENT() via 'Eval'
  OBCube/Transform Component/TRANSFORM_LOCAL() via 'ObLocal -> ObParent'
  OBCube/Transform Component/TRANSFORM_INIT() via 'Transform Init'
  OBBezierCurve/Geometry Component/GEOMETRY_EVAL() via 'Vertex Parent'
Detected 1 dependency cycles

But can confirm the crash is resolved in master (assume this was fixed by rBS3566b81c8bf, not sure though)

Anyways, lets close this, @Alex (Fluffyrescent): feel free to comment again / reopen if issues persist...